package textures.player.items.torch;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class TorchWalkTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH WALK ***/
		Textures.torchSheet[32] = Utils.grabSprite(image, 5, 1, 40, 72);
		Textures.torchSheet[33] = Utils.grabSprite(image, 6, 1, 40, 72);
		Textures.torchSheet[34] = Utils.grabSprite(image, 7, 1, 40, 72);
		Textures.torchSheet[35] = Utils.grabSprite(image, 8, 1, 40, 72);
		Textures.torchSheet[36] = Utils.grabSprite(image, 9, 1, 40, 72);
		Textures.torchSheet[37] = Utils.grabSprite(image, 10, 1, 40, 72);

		/*** NORTH WALK ***/
		Textures.torchSheet[38] = Utils.grabSprite(image, 5, 2, 40, 72);
		Textures.torchSheet[39] = Utils.grabSprite(image, 6, 2, 40, 72);
		Textures.torchSheet[40] = Utils.grabSprite(image, 7, 2, 40, 72);
		Textures.torchSheet[41] = Utils.grabSprite(image, 8, 2, 40, 72);
		Textures.torchSheet[42] = Utils.grabSprite(image, 9, 2, 40, 72);
		Textures.torchSheet[43] = Utils.grabSprite(image, 10, 2, 40, 72);

		/*** WEST WALK ***/
		Textures.torchSheet[44] = Utils.grabSprite(image, 5, 3, 40, 72);
		Textures.torchSheet[45] = Utils.grabSprite(image, 6, 3, 40, 72);
		Textures.torchSheet[46] = Utils.grabSprite(image, 7, 3, 40, 72);
		Textures.torchSheet[47] = Utils.grabSprite(image, 8, 3, 40, 72);
		Textures.torchSheet[48] = Utils.grabSprite(image, 9, 3, 40, 72);
		Textures.torchSheet[49] = Utils.grabSprite(image, 10, 3, 40, 72);

		/*** EAST WALK ***/
		Textures.torchSheet[50] = Utils.grabSprite(image, 5, 4, 40, 72);
		Textures.torchSheet[51] = Utils.grabSprite(image, 6, 4, 40, 72);
		Textures.torchSheet[52] = Utils.grabSprite(image, 7, 4, 40, 72);
		Textures.torchSheet[53] = Utils.grabSprite(image, 8, 4, 40, 72);
		Textures.torchSheet[54] = Utils.grabSprite(image, 9, 4, 40, 72);
		Textures.torchSheet[55] = Utils.grabSprite(image, 10, 4, 40, 72);

		/*** NORTHWEST WALK ***/
		Textures.torchSheet[56] = Utils.grabSprite(image, 5, 5, 40, 72);
		Textures.torchSheet[57] = Utils.grabSprite(image, 6, 5, 40, 72);
		Textures.torchSheet[58] = Utils.grabSprite(image, 7, 5, 40, 72);
		Textures.torchSheet[59] = Utils.grabSprite(image, 8, 5, 40, 72);
		Textures.torchSheet[60] = Utils.grabSprite(image, 9, 5, 40, 72);
		Textures.torchSheet[61] = Utils.grabSprite(image, 10, 5, 40, 72);

		/*** NORTHEAST WALK ***/
		Textures.torchSheet[62] = Utils.grabSprite(image, 5, 6, 40, 72);
		Textures.torchSheet[63] = Utils.grabSprite(image, 6, 6, 40, 72);
		Textures.torchSheet[64] = Utils.grabSprite(image, 7, 6, 40, 72);
		Textures.torchSheet[65] = Utils.grabSprite(image, 8, 6, 40, 72);
		Textures.torchSheet[66] = Utils.grabSprite(image, 9, 6, 40, 72);
		Textures.torchSheet[67] = Utils.grabSprite(image, 10, 6, 40, 72);

		/*** SOUTHWEST WALK ***/
		Textures.torchSheet[68] = Utils.grabSprite(image, 5, 7, 40, 72);
		Textures.torchSheet[69] = Utils.grabSprite(image, 6, 7, 40, 72);
		Textures.torchSheet[70] = Utils.grabSprite(image, 7, 7, 40, 72);
		Textures.torchSheet[71] = Utils.grabSprite(image, 8, 7, 40, 72);
		Textures.torchSheet[72] = Utils.grabSprite(image, 9, 7, 40, 72);
		Textures.torchSheet[73] = Utils.grabSprite(image, 10, 7, 40, 72);

		/*** SOUTHEAST WALK ***/
		Textures.torchSheet[74] = Utils.grabSprite(image, 5, 8, 40, 72);
		Textures.torchSheet[75] = Utils.grabSprite(image, 6, 8, 40, 72);
		Textures.torchSheet[76] = Utils.grabSprite(image, 7, 8, 40, 72);
		Textures.torchSheet[77] = Utils.grabSprite(image, 8, 8, 40, 72);
		Textures.torchSheet[78] = Utils.grabSprite(image, 9, 8, 40, 72);
		Textures.torchSheet[79] = Utils.grabSprite(image, 10, 8, 40, 72);
	}
	
}
